Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.gui
Class GUI

    java.lang.Object
      com.mindbright.gui.GUI

public final class GUI
extends java.lang.Object

Constructor Summary
`GUI()`

Method Summary
`static java.lang.String[]` | `getFontList()`
`static java.io.File` | `selectFile(java.awt.Frame parent, java.lang.String title, boolean save)`
`static java.io.File` | `selectFile(java.awt.Frame parent, java.lang.String title, java.lang.String cwd, boolean save)`
`static java.io.File` | `selectFile(java.awt.Frame parent, java.lang.String title, java.lang.String cwd, java.lang.String deffile, boolean save)`
`static java.lang.String` | `setPassword(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`static void` | `showAlert(java.lang.String title, java.lang.String message, java.awt.Frame parent)`
`static boolean` | `showConfirm(java.lang.String title, java.lang.String message, boolean defAnswer, java.awt.Frame parent)`
`static boolean` | `showConfirm(java.lang.String title, java.lang.String message, int rows, int cols, java.lang.String yesLbl, java.lang.String noLbl, boolean defAnswer, java.awt.Frame parent, boolean xscroll, boolean yscroll)`
`static void` | `showNotice(java.awt.Frame parent, java.lang.String title, java.lang.String text, int rows, int cols, boolean scrollbar)`
`static java.lang.String` | `textInput(java.lang.String title, java.lang.String message, java.awt.Frame parent, char echo, java.lang.String defaultValue, java.lang.String prompt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUI

    public GUI()

Method Detail

### showAlert

    public static void showAlert(java.lang.String title,
                                 java.lang.String message,
                                 java.awt.Frame parent)

### showConfirm

    public static boolean showConfirm(java.lang.String title,
                                      java.lang.String message,
                                      boolean defAnswer,
                                      java.awt.Frame parent)

### showConfirm

    public static boolean showConfirm(java.lang.String title,
                                      java.lang.String message,
                                      int rows,
                                      int cols,
                                      java.lang.String yesLbl,
                                      java.lang.String noLbl,
                                      boolean defAnswer,
                                      java.awt.Frame parent,
                                      boolean xscroll,
                                      boolean yscroll)

### selectFile

    public static java.io.File selectFile(java.awt.Frame parent,
                                          java.lang.String title,
                                          boolean save)

### selectFile

    public static java.io.File selectFile(java.awt.Frame parent,
                                          java.lang.String title,
                                          java.lang.String cwd,
                                          boolean save)

### selectFile

    public static java.io.File selectFile(java.awt.Frame parent,
                                          java.lang.String title,
                                          java.lang.String cwd,
                                          java.lang.String deffile,
                                          boolean save)

### showNotice

    public static void showNotice(java.awt.Frame parent,
                                  java.lang.String title,
                                  java.lang.String text,
                                  int rows,
                                  int cols,
                                  boolean scrollbar)

### textInput

    public static java.lang.String textInput(java.lang.String title,
                                             java.lang.String message,
                                             java.awt.Frame parent,
                                             char echo,
                                             java.lang.String defaultValue,
                                             java.lang.String prompt)

### setPassword

    public static java.lang.String setPassword(java.lang.String title,
                                               java.lang.String message,
                                               java.awt.Frame parent)

### getFontList

    public static java.lang.String[] getFontList()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD